Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.url
Class UrlFileProvider

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer
              org.apache.commons.vfs.provider.AbstractFileProvider
                  org.apache.commons.vfs.provider.url.UrlFileProvider

All Implemented Interfaces:
  FileProvider, VfsComponent

public class UrlFileProvider
extends AbstractFileProvider

A file provider backed by Java's URL API.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Field Summary
`protected static Collection` | `capabilities`

Constructor Summary
`UrlFileProvider()`

Method Summary
`FileObject` | `findFile(FileObject baseFile, String uri, FileSystemOptions fileSystemOptions)` Locates a file object, by absolute URI.
`Collection` | `getCapabilities()` Get the filesystem capabilities.
`FileSystemConfigBuilder` | `getConfigBuilder()` Gets the configbuilder useable to collect the needed fileSystemOptions.

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileProvider
`addFileSystem, close, closeFileSystem, createFileSystem, findFileSystem, freeUnusedResources, getFileNameParser, parseUri, setFileNameParser`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsContainer
`addComponent, removeComponent`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### capabilities

    protected static final Collection capabilities

Constructor Detail

### UrlFileProvider

    public UrlFileProvider()

Method Detail

### findFile

    public FileObject findFile(FileObject baseFile,
                               String uri,
                               FileSystemOptions fileSystemOptions)
                        throws FileSystemException

  Locates a file object, by absolute URI.

  Parameters:
    `baseFile` - The base file to use for resolving the individual parts of a compound URI.
    `uri` - The absolute URI of the file to find.
    `fileSystemOptions` -
  Throws:
    `FileSystemException`

### getConfigBuilder

    public FileSystemConfigBuilder getConfigBuilder()

  Description copied from interface: `FileProvider`
  Gets the configbuilder useable to collect the needed fileSystemOptions.

  Specified by:
    `getConfigBuilder` in interface `FileProvider`
  Overrides:
    `getConfigBuilder` in class `AbstractFileProvider`

### getCapabilities

    public Collection getCapabilities()

  Description copied from interface: `FileProvider`
  Get the filesystem capabilities.
  These are the same as on the filesystem, but available before the first filesystem was instanciated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.